import { Logger as __Logger } from "@aws-sdk/types";
import { SageMakerRuntimeClientConfig } from "./SageMakerRuntimeClient";
/**
 * @internal
 */
export declare const getRuntimeConfig: (config: SageMakerRuntimeClientConfig) => {
    apiVersion: string;
    disableHostPrefix: boolean;
    logger: __Logger;
    regionInfoProvider: import("@aws-sdk/types").RegionInfoProvider;
    serviceId: string;
    urlParser: import("@aws-sdk/types").UrlParser;
};
